StableOps
API 參考

更新商戶方案

按方案標識更新 StableOps 商戶方案的可設定欄位,核對介面返回的價格、週期與啟用資訊,再向使用者展示變更結果。方案用於商戶向終端使用者提供週期性服務,金額以美元計價,實際結算資產在付款時選擇。維護方案時還需核對關聯訂閱、現有帳單與後續續費行為。

PUT/v1/merchant/plans/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Merchant plan id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/merchant/plans/{id}" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "code": "string",
  "name": "string",
  "description": "string",
  "group_key": "string",
  "amount": "string",
  "interval": "month",
  "interval_count": 1,
  "trial_days": 0,
  "metadata": {
    "property1": null,
    "property2": null
  },
  "is_active": true,
  "is_template": true,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

這篇文件怎麼樣?

最後更新